/* TroiaPreview
 * version 0.4 date 2004-11-30
 * Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_Movie
#define INC_Movie

#include "Pixel.h"

//constants
#define MovieCnt 16

//initialize movies
void MovieInit( );

//cleanup movies
void MovieExit( );

//check if movie is active
int MovieGetActive( unsigned int MovieNo );

//enable / disable movie
void MovieSetActive( unsigned int MovieNo, int Active );

//load movie file
//returns 0 on success, -1 on error
int MovieLoadFile( unsigned int MovieNo, char * pFilename );

//get movie position and direction
void MovieGetPos( unsigned int MovieNo, tPixel3D * pPix, unsigned char * pDir );

//set movie position and direction
void MovieSetPos( unsigned int MovieNo, tPixel3D Pix, unsigned char Dir );

//called periodically to do some work
void MovieTask( );

#endif //#ifndef INC_Movie

